global_defs {
  router_id lb01
}

vrrp_script check_haproxy {
  script "/usr/bin/systemctl is-active --quiet haproxy"
  interval 2
  weight 2
}

vrrp_instance my-web {
    state MASTER
    interface ens160
    virtual_router_id 123
    priority 100
    advert_int 1
    authentication {
        auth_type PASS
        auth_pass myPass12
    }
    virtual_ipaddress {
        192.168.152.200
    }
    track_script {
    check_haproxy
  }
}
